package oop.FileHandling.character;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class Filewriter {
	// für Schreiben auf einem beliebig File
	public static void main(String[] args) throws IOException {
		//erstelle einen File
		File newFile = new File("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1");
		if (newFile.createNewFile())  // createNewFile() gibt boolean zurück,ob der File ergolgreich erstellt wurde oder nicht
            System.out.println("Datei erstellt: " + newFile.getName()); // der File muss im Pfad nicht existieren, damit es erstellt wurde
             
		String str = "Hallo Welt";
		FileWriter fr = new FileWriter("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1");
		fr.write(str); //wird Hallo Welt auf dem File geschrieben!
		fr.write("\n"); // breakline im File
		fr.write(str, 0, str.length()); //schreibt string von int x inkl bis int y exklus 
		fr.write("\n");
		fr.write('2');
		
		fr.close();
		
		
	}

}
